libzypp: zypp::target::rpm::InstallResolvableReport Struct Reference

libzypp 17.25.10

Public Types | Public Member Functions | Static Public Attributes | List of all members
zypp::target::rpm::InstallResolvableReport Struct Reference

`#include <ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::InstallResolvableReport:
[legend]

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , NOT_FOUND , IO , INVALID }
enum | RpmLevel { RPM , RPM_NODEPS , RPM_NODEPS_FORCE }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (Resolvable::constPtr)
virtual bool | progress (int, Resolvable::constPtr)
virtual Action | problem (Resolvable::constPtr, Error, const std::string &, RpmLevel)
virtual void | finish (Resolvable::constPtr, Error, const std::string &, RpmLevel)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data. More...
virtual | ~ReportBase ()

## Static Public Attributes
static const UserData::ContentType | contentRpmout
| "rpmout/installpkg": Additional rpm output (sent immediately). More...

## Detailed Description

Definition at line 516 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::target::rpm::InstallResolvableReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 518 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::target::rpm::InstallResolvableReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
INVALID |

Definition at line 524 of file ZYppCallbacks.h.

## ◆ RpmLevel

enum zypp::target::rpm::InstallResolvableReport::RpmLevel

Deprecated:
  We fortunately no longer do 3 attempts.

Enumerator
RPM |
RPM_NODEPS |
RPM_NODEPS_FORCE | only this one used

Definition at line 533 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::InstallResolvableReport::start | ( | Resolvable::constPtr |  | ) |
| inlinevirtual

Definition at line 539 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::target::rpm::InstallResolvableReport::progress | ( | int | ,
|  | Resolvable::constPtr |
| ) |  |
| inlinevirtual

Definition at line 543 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::target::rpm::InstallResolvableReport::problem | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const std::string & | ,
|  | RpmLevel |
| ) |  |
| inlinevirtual

Definition at line 546 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::rpm::InstallResolvableReport::finish | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const std::string & | ,
|  | RpmLevel |
| ) |  |
| inlinevirtual

Definition at line 553 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ contentRpmout

const callback::UserData::ContentType zypp::target::rpm::InstallResolvableReport::contentRpmout
| static

"rpmout/installpkg": Additional rpm output (sent immediately).

Data: solvable : satSolvable processed line : std::reference_wrapper<const std::string> lineno : unsigned

Definition at line 566 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following files:

- zypp/ZYppCallbacks.h
- zypp/target/rpm/RpmDb.cc